AsconEngine.AsconParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.crypto.engines

## Enum AsconEngine.AsconParameters

- java.lang.Object
- - java.lang.Enum<AsconEngine.AsconParameters>
  - - org.bouncycastle.crypto.engines.AsconEngine.AsconParameters

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AsconEngine.AsconParameters>
  Enclosing class:
    AsconEngine

      public static enum AsconEngine.AsconParameters
      extends java.lang.Enum<AsconEngine.AsconParameters>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ascon128`
    `ascon128a`
    `ascon80pq`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AsconEngine.AsconParameters` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AsconEngine.AsconParameters[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ascon80pq

          public static final AsconEngine.AsconParameters ascon80pq

    - #### ascon128a

          public static final AsconEngine.AsconParameters ascon128a

    - #### ascon128

          public static final AsconEngine.AsconParameters ascon128

  - ### Method Detail

    - #### values

          public static AsconEngine.AsconParameters[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AsconEngine.AsconParameters c : AsconEngine.AsconParameters.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AsconEngine.AsconParameters valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null